#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

// Normal declarition
void print_hello();
// Declarition for offload
#pragma omp declare target
void print_hello();
#pragma omp end declare target

void print_hello(){
	char hostname[100];
  gethostname(hostname, 100);

  #ifdef __MIC__
  printf("Hello MIC: %s\n", hostname);
  #else
  printf("Hello HOST: %s\n", hostname);
  #endif
}

int main(){

	print_hello();

#pragma offload target(mic)
	print_hello();
 
  return 0;
}


